Google Earth 7 in Debian Wheezy/Jessie

Uso poco ma ammetto con piacere Google Earth arrivato ora alla versione 7.0.2.8415.

Ora la procedura è meno complicata e installarlo è molto semplice.

Indispensabile (come da requisiti per l’installazione ) Linux – Librerie LSB 4.0 (Linux Standard Base) che come dipendenza si porta dietro exim4 (se non è presente un’ altro MTA installato).

Senza dimenticare l’accelerazione hardware della scheda grafica , con i radeon open su x1400 ottengo pessimi risultati mentre con Nvidia propietari anche su una vecchia 7600AGP vado bene.

Ora è disponibile un comodo deb che con dpkg si installa da solo , sia per sistemi a 32 che 64.

Prima di  installare la nuova versione rimuoviamo quella vecchia, cerchiamo il nome del pacchetto installato

$aptitude search google

trovato il giusto nome

#aptitude remove google-xxxxx-xxxxxx

se non avevate particolari personalizzazioni

#aptitude purge google-xxxxx-xxxxxx
  • 32

Qui basta prelevare la verisone corretta e salvarla dove vi pare.

Da shell spostiamoci nella cartella e lanciamo :

#dpkg -i google-earth-stable_current_i386.deb

a seconda del menu a disposizione che nel mio caso è servito da KDE4 , troverete l’icona per il lancio altrimenti da shell :

$google-earth
  • 64

Per i sistemi amd64 occorre fare una premessa , ci volgiono le maledette librerie ia32 che sono da poco state rimosse da repository per passare a multiarch , qui alcuni miei appunti .

Dopo aver sistemato i requisiti di sistema la procedura di installazione è la stessa della versioen a 32.

#dpkg -i google-earth-stable_current_amd64.deb

se non presente nel menu

$google-earth

Possibili errori :

Se non avevate ancora fatto il passaggio a multiarch fatelo (è indispensabile) e se usate i driver propietari Nvidia , dovete uscire dalla sessione grafica e re-installare i driver per ottemperare alla nuova compatibilità a 32 bit (multiarch), altrimenti anche se google earth si avvia non vedrete il globo.

UPDATE

Come da segnalazione nei commenti di questo articolo riporto la soluzione al problema dell’installazione con errore sul pacchetto ia32-libs

Per installare google-earth 7.1 scaricato dal sito rimuovere l’indicazione della dipendenza a ia32-libs che non è più installabile

mkdir google
dpkg-deb -R googleearth*.deb google
nano google/DEBIAN/control 
!#locate the depends line and remove ‘ia32-libs’
dpkg-deb -b google googleearth-custom_amd64.deb
dpkg -i googleearth-custom_amd64.deb

oppure modificate il tutto da mc senza spacchettare e ripacchettare.

Nel caso il globo compaia ancora nero , rimuovere la spunta dalla compressione delle texture come indicato qui.

don’t be sad

🙂

Happy World Trip

Rispondi